Application: gvSIG desktop - gvSIG bugs #1472
Labeling not works in WFS layers
12/11/2012 12:59 PM - Maria Maluenda

Status: Closed % Done: 0%
Priority: Immediate Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Labeling

Target version: 2.0.0-rc3

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2060 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

1.- Open gvSIG (RC1)

2.- Open new view (EPSG 23030)

3.- Add new layer: WFS cit:comunic_lin_300k (http://inspire.cop.gva.es:80/geoserver/wfs)
4.- Click in layer and right button

5.- Select properties

6.- Click Labeling

7.- Enable labeling, field: tipo, 10, pixels in the world, color=black. Apply and accept.

8.- You can view that labeling not appears.

9.- Click in layer and right button

10.- Select properties

11- Click Labeling. You can view that labeling is disabled

1.- Abrir gvSIG (RC1)

2.- Abrir nueva vista (EPSG 23030)

3.- Anadir capa, WFS cit:comunic_lin_300k (http://inspire.cop.gva.es:80/geoserver/wfs)
4.- Seleccionar la capa y botén derecho

5.- Seleccionar propiedades

6.- Clic en etiquetado

7.- Activar etiquetado, campo=tipo, tamafio=10, pixeles en el mundo, negro. Aplicar y activar.
8.- Se puede observar que el etiquetado no aparece

9.- Seleccionar la capa y botén derecho

10.- Seleccionar propiedades

11.- Clic en etiquetado. Se puede ver que el etiquetado esta desactivado.

History

#1 - 12/12/2012 12:21 PM - Joaquin del Cerro Murciano
- Target version changed from 2.0.0-rc2 to 2.0.0-final

#2 - 12/15/2012 07:09 PM - Manuel Madrid

- Priority changed from High to Immediate

#3 - 12/19/2012 02:03 PM - Manuel Madrid

- Target version changed from 2.0.0-final to 2.0.0-rc3
#4 - 12/19/2012 02:34 PM - Joaquin del Cerro Murciano

- Assignee set to Juan Lucas Dominguez

#5 - 12/20/2012 12:15 PM - Juan Lucas Dominguez

- Status changed from New to Fixed

Fixed WFS layer properties management and labeling with on-the-fly reprojection.

gvsig-desktop:r39492

A good test in this case is:

- Create a view in EPSG:4326 (not EPSG:23030)

- Load the layer specified in the original message (you cannot change the source CRS, so there is on-the-fly reprojection)

- Enable labels and use the options: "1 km" and "in the world" and it should work (you can also check that the labels are approximately 1 km in height)
The test described by Maria should also work.

#6 - 02/26/2014 12:34 PM - Alvaro Anguix
- Status changed from Fixed to Closed
